package com.guwan.backend.jpaTest;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class EmployeeDTO {
    private Long employeeId;
    private String employeeName;
    private String departmentName;
    private String projectName;
    
    /**
     * 用于JoinBuilder映射的构造函数
     * @param employeeId 员工ID
     * @param employeeName 员工姓名
     * @param departmentName 部门名称
     * @param projectName 项目名称
     */
    public EmployeeDTO(Object employeeId, Object employeeName, Object departmentName, Object projectName) {
        this.employeeId = employeeId != null ? Long.valueOf(employeeId.toString()) : null;
        this.employeeName = employeeName != null ? employeeName.toString() : null;
        this.departmentName = departmentName != null ? departmentName.toString() : null;
        this.projectName = projectName != null ? projectName.toString() : null;
    }
} 